View Issue Details

IDProjectCategoryView StatusLast Update
0000003Main CAcert Websitecertificate issuingpublic2013-01-13 13:25
ReporteralaricdAssigned ToUli60 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2012 Q3 
Summary0000003: Single Character Middle Initial clear name from subject
Descriptionif the middle Name has only a single letter, it clears the name from the subject. The Addition of a Period solved the clearing of the name, thus the bug has been verified.
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

has duplicate 0000026 closed 0000021: Client Certs don't show name if using middle initial variant 
related to 0001100 needs work findings from David 

Activities

duane

2006-08-15 03:07

developer   ~0000482

if(strlen($user['mname']) == 1)
                                $user['mname'] .= '.';

evaldo

2007-10-24 06:12

developer   ~0000904

Last edited: 2007-10-24 06:46

Please check for a better fix. Proposed fix is clearly a joke, isnt it?

evaldo

2007-10-24 08:33

developer   ~0000923

Check comments of bug 0000026

Uli60

2012-07-31 20:39

updater   ~0003119

tested on testserver cacert1.it-sls.de
created user bug003 f user

assuring, doing assurances, results in 150 pts user
create client cert class1 with user name: Bug003 F User
results in client cert:
E = bug003.user@w*.de
CN = Bug003 F. User

so bug is fixed

Uli60

2012-07-31 20:40

updater   ~0003120

current software revision (2012-07-31)
has this bug fixed

Uli60

2012-07-31 20:43

updater   ~0003121

bug fixed in the past
bug closed

Issue History

Date Modified Username Field Change
2005-08-16 02:39 alaricd New Issue
2005-09-05 05:58 duane Status new => @30@
2006-08-15 03:06 duane Status @30@ => needs work
2006-08-15 03:06 duane Assigned To => alaricd
2006-08-15 03:07 duane Status needs work => solved?
2006-08-15 03:07 duane Fixed in Version => production
2006-08-15 03:07 duane Resolution open => fixed
2006-08-15 03:07 duane Note Added: 0000482
2007-10-24 06:12 evaldo Note Added: 0000904
2007-10-24 06:12 evaldo Assigned To alaricd =>
2007-10-24 06:12 evaldo Status solved? => confirmed
2007-10-24 06:12 evaldo Resolution fixed => reopened
2007-10-24 06:46 evaldo Note Edited: 0000904
2007-10-24 08:32 evaldo Relationship added has duplicate 0000026
2007-10-24 08:33 evaldo Note Added: 0000923
2011-07-12 23:55 NEOatNHNG Source_changeset_attached => cacert-devel master d8b7eb96
2012-03-19 01:58 NEOatNHNG Source_changeset_removed cacert-devel master d8b7eb96 =>
2012-07-31 20:39 Uli60 Note Added: 0003119
2012-07-31 20:40 Uli60 Note Added: 0003120
2012-07-31 20:40 Uli60 Status confirmed => solved?
2012-07-31 20:40 Uli60 Resolution reopened => fixed
2012-07-31 20:40 Uli60 Assigned To => Uli60
2012-07-31 20:43 Uli60 Note Added: 0003121
2012-07-31 20:43 Uli60 Status solved? => closed
2013-01-08 09:00 Werner Dworak Relationship added related to 0001100
2013-01-13 13:25 Werner Dworak Fixed in Version => 2012 Q3